(* html-entities.sml
 *
 * COPYRIGHT (c) 2000 Bell Labs, Lucent Technologies
 *
 * The translation for the standard ML-Doc entities to HTML.
 *)

structure EntitiesToHTML = EntitiesFn (
    val entityMap = [
	  ("IE",	"<I>i.e.</I>"),
	  ("EG",	"<I>e.g.</I>"),
	  ("LT",	"&lt;"),
	  ("LTE",	"&lt;="),
	  ("GT",	"&gt;"),
	  ("GTE",	"&gt;="),
	  ("NEQ",	"&lt;&gt;"),
	  ("AMP",	"&amp;"),
	  ("DQUOTE",	"&quote;"),
	  ("BAR",	"|"),
	  ("CUP",	"<B>union</B>"),
	  ("CAP",	"<B>intersect</B>"),
	  ("EXISTS",	"<B>exists</B>"),
	  ("FORALL",	"<B>forall</B>"),
	  ("GREATER",	"&gt;"),
	  ("GREATEREQ",	"&gt;="),
	  ("IN",	"<B>in</B>"),
	  ("LESS",	"&lt;"),
	  ("LESSEQ",	"&lt;="),
	  ("NOTEQ",	"&lt;&gt;"),
	  ("NOTIN",	"<B>not in</B>"),
	  ("OMINUS",	"-"),
	  ("OPLUS",	"+"),
	  ("OTIMES",	"*"),
	  ("PLUSMINUS",	"+-"),
	  ("MINUSPLUS",	"-+"),
	  ("PI",	"pi"),
	  ("INF",	"infinity"),
	(* the HTML 2.0 entities *)
	  ("nbsp",	"&nbsp;"),
	  ("iexcl",	"&iexcl;"),
	  ("cent",	"&cent;"),
	  ("pound",	"&pound;"),
	  ("curren",	"&curren;"),
	  ("yen",	"&yen;"),
	  ("brvbar",	"&brvbar;"),
	  ("sect",	"&sect;"),
	  ("uml",	"&uml;"),
	  ("copy",	"&copy;"),
	  ("ordf",	"&ordf;"),
	  ("laquo",	"&laquo;"),
	  ("not",	"&not;"),
	  ("shy",	"&shy;"),
	  ("reg",	"&reg;"),
	  ("macr",	"&macr;"),
	  ("deg",	"&deg;"),
	  ("plusmn",	"&plusmn;"),
	  ("sup2",	"&sup2;"),
	  ("sup3",	"&sup3;"),
	  ("acute",	"&acute;"),
	  ("micro",	"&micro;"),
	  ("para",	"&para;"),
	  ("middot",	"&middot;"),
	  ("cedil",	"&cedil;"),
	  ("sup1",	"&sup1;"),
	  ("ordm",	"&ordm;"),
	  ("raquo",	"&raquo;"),
	  ("frac14",	"&frac14;"),
	  ("frac12",	"&frac12;"),
	  ("frac34",	"&frac34;"),
	  ("iquest",	"&iquest;"),
	  ("Agrave",	"&Agrave;"),
	  ("Aacute",	"&Aacute;"),
	  ("Acirc",	"&Acirc;"),
	  ("Atilde",	"&Atilde;"),
	  ("Auml",	"&Auml;"),
	  ("Aring",	"&Aring;"),
	  ("AElig",	"&AElig;"),
	  ("Ccedil",	"&Ccedil;"),
	  ("Egrave",	"&Egrave;"),
	  ("Eacute",	"&Eacute;"),
	  ("Ecirc",	"&Ecirc;"),
	  ("Euml",	"&Euml;"),
	  ("Igrave",	"&Igrave;"),
	  ("Iacute",	"&Iacute;"),
	  ("Icirc",	"&Icirc;"),
	  ("Iuml",	"&Iuml;"),
	  ("ETH",	"&ETH;"),
	  ("Ntilde",	"&Ntilde;"),
	  ("Ograve",	"&Ograve;"),
	  ("Oacute",	"&Oacute;"),
	  ("Ocirc",	"&Ocirc;"),
	  ("Otilde",	"&Otilde;"),
	  ("Ouml",	"&Ouml;"),
	  ("times",	"&times;"),
	  ("Oslash",	"&Oslash;"),
	  ("Ugrave",	"&Ugrave;"),
	  ("Uacute",	"&Uacute;"),
	  ("Ucirc",	"&Ucirc;"),
	  ("Uuml",	"&Uuml;"),
	  ("Yacute",	"&Yacute;"),
	  ("THORN",	"&THORN;"),
	  ("szlig",	"&szlig;"),
	  ("agrave",	"&agrave;"),
	  ("aacute",	"&aacute;"),
	  ("acirc",	"&acirc;"),
	  ("atilde",	"&atilde;"),
	  ("auml",	"&auml;"),
	  ("aring",	"&aring;"),
	  ("aelig",	"&aelig;"),
	  ("ccedil",	"&ccedil;"),
	  ("egrave",	"&egrave;"),
	  ("eacute",	"&eacute;"),
	  ("ecirc",	"&ecirc;"),
	  ("euml",	"&euml;"),
	  ("igrave",	"&igrave;"),
	  ("iacute",	"&iacute;"),
	  ("icirc",	"&icirc;"),
	  ("iuml",	"&iuml;"),
	  ("eth",	"&eth;"),
	  ("ntilde",	"&ntilde;"),
	  ("ograve",	"&ograve;"),
	  ("oacute",	"&oacute;"),
	  ("ocirc",	"&ocirc;"),
	  ("otilde",	"&otilde;"),
	  ("ouml",	"&ouml;"),
	  ("divide",	"&divide;"),
	  ("oslash",	"&oslash;"),
	  ("ugrave",	"&ugrave;"),
	  ("uacute",	"&uacute;"),
	  ("ucirc",	"&ucirc;"),
	  ("uuml",	"&uuml;"),
	  ("yacute",	"&yacute;"),
	  ("thorn",	"&thorn;"),
	  ("yuml",	"&yuml;")
	]
  );

