(* mldoc-dtd.sml
 *
 * COPYRIGHT (c) 1999 Bell Labs, Lucent Technologies.
 *
 * These are the various element and attribute names used in the MLDOC DTD.
 * Version 2.5 (Aprinl 12, 1999)
 *)

structure MLDocDTD =
  struct

  (* element names *)
    val elemADEF	= Atom.atom "ADEF"
    val elemAREF	= Atom.atom "AREF"
    val elemARG		= Atom.atom "ARG"
    val elemAUTHOR	= Atom.atom "AUTHOR"
    val elemBF		= Atom.atom "BF"
    val elemCAPTION	= Atom.atom "CAPTION"
    val elemCD		= Atom.atom "CD"
    val elemCEILING	= Atom.atom "CEILING"
    val elemCITE	= Atom.atom "CITE"
    val elemCODE	= Atom.atom "CODE"
    val elemCOL		= Atom.atom "COL"
    val elemCOMMENT	= Atom.atom "COMMENT"
    val elemCONREF	= Atom.atom "CONREF"
    val elemCONS	= Atom.atom "CONS"
    val elemCOPYRIGHT	= Atom.atom "COPYRIGHT"
    val elemDATATYPE	= Atom.atom "DATATYPE"
    val elemDATATYPEDEF	= Atom.atom "DATATYPEDEF"
    val elemDESCRIP	= Atom.atom "DESCRIP"
    val elemDISPLAYMATH	= Atom.atom "DISPLAYMATH"
    val elemDOCREF	= Atom.atom "DOCREF"
    val elemDTAG	= Atom.atom "DTAG"
    val elemEM		= Atom.atom "EM"
    val elemENUM	= Atom.atom "ENUM"
    val elemEQN		= Atom.atom "EQN"
    val elemEQNARRAY	= Atom.atom "EQNARRAY"
    val elemEQNREL	= Atom.atom "EQNREL"
    val elemEQTYPE	= Atom.atom "EQTYPE"
    val elemEQU		= Atom.atom "EQU"
    val elemEVALTO	= Atom.atom "EVALTO"
    val elemEXAMPLE	= Atom.atom "EXAMPLE"
    val elemEXN		= Atom.atom "EXN"
    val elemEXNREF	= Atom.atom "EXNREF"
    val elemFCTARGREF	= Atom.atom "FCTARGREF"
    val elemFCTREF	= Atom.atom "FCTREF"
    val elemFIGURE	= Atom.atom "FIGURE"
    val elemFLOAT	= Atom.atom "FLOAT"
    val elemFLOATREF	= Atom.atom "FLOATREF"
    val elemFLOOR	= Atom.atom "FLOOR"
    val elemFRAC	= Atom.atom "FRAC"
    val elemFUNCTOR	= Atom.atom "FUNCTOR"
    val elemGRAM_ALT	= Atom.atom "GRAM.ALT"
    val elemGRAM_CSET	= Atom.atom "GRAM.CSET"
    val elemGRAM_GRP	= Atom.atom "GRAM.GRP"
    val elemGRAM_KW	= Atom.atom "GRAM.KW"
    val elemGRAM_LIT	= Atom.atom "GRAM.LIT"
    val elemGRAM_NONTERM = Atom.atom "GRAM.NONTERM"
    val elemGRAM_PROD	= Atom.atom "GRAM.PROD"
    val elemGRAM_RANGE	= Atom.atom "GRAM.RANGE"
    val elemGRAM_RHS	= Atom.atom "GRAM.RHS"
    val elemGRAM_SEP	= Atom.atom "GRAM.SEP"
    val elemGRAM_TERM	= Atom.atom "GRAM.TERM"
    val elemGRAMMAR	= Atom.atom "GRAMMAR"
    val elemHEAD	= Atom.atom "HEAD"
    val elemID		= Atom.atom "ID"
    val elemIDREF	= Atom.atom "IDREF"
    val elemIMPLNOTE	= Atom.atom "IMPLNOTE"
    val elemINCLFILE	= Atom.atom "INCLFILE"
    val elemINCLUDE	= Atom.atom "INCLUDE"
    val elemINDEX	= Atom.atom "INDEX"
    val elemINTERFACE	= Atom.atom "INTERFACE"
    val elemINTERSECT	= Atom.atom "INTERSECT"
    val elemIT		= Atom.atom "IT"
    val elemITEM	= Atom.atom "ITEM"
    val elemITEMIZE	= Atom.atom "ITEMIZE"
    val elemKEY_VIEW	= Atom.atom "KEY-VIEW"
    val elemKW		= Atom.atom "KW"
    val elemLL		= Atom.atom "LL"
    val elemMATH	= Atom.atom "MATH"
    val elemMGROUP	= Atom.atom "MGROUP"
    val elemML_DOC	= Atom.atom "ML-DOC"
    val elemMOD		= Atom.atom "MOD"
    val elemMTEXT	= Atom.atom "MTEXT"
    val elemNORM	= Atom.atom "NORM"
    val elemOPAQUE	= Atom.atom "OPAQUE"
    val elemOPD		= Atom.atom "OPD"
    val elemOVER	= Atom.atom "OVER"
    val elemPP		= Atom.atom "PP"
    val elemPROD	= Atom.atom "PROD"
    val elemPROTO	= Atom.atom "PROTO"
    val elemPROTOTY	= Atom.atom "PROTOTY"
    val elemQUESTION	= Atom.atom "QUESTION"
    val elemRAISES	= Atom.atom "RAISES"
    val elemRATIONALE	= Atom.atom "RATIONALE"
    val elemRE		= Atom.atom "RE"
    val elemREGEXP	= Atom.atom "REGEXP"
    val elemSECREF	= Atom.atom "SECREF"
    val elemSECTION	= Atom.atom "SECTION"
    val elemSEEALSO	= Atom.atom "SEEALSO"
    val elemSET		= Atom.atom "SET"
    val elemSHARING	= Atom.atom "SHARING"
    val elemSIGBODY	= Atom.atom "SIGBODY"
    val elemSIGINSTANCE	= Atom.atom "SIGINSTANCE"
    val elemSIGNATURE	= Atom.atom "SIGNATURE"
    val elemSIGREF	= Atom.atom "SIGREF"
    val elemSPEC	= Atom.atom "SPEC"
    val elemSPECBREAK	= Atom.atom "SPECBREAK"
    val elemSTRREF	= Atom.atom "STRREF"
    val elemSTRUCTURE	= Atom.atom "STRUCTURE"
    val elemSUB		= Atom.atom "SUB"
    val elemSUBINDEX	= Atom.atom "SUBINDEX"
    val elemSUBSTRUCT	= Atom.atom "SUBSTRUCT"
    val elemSUM		= Atom.atom "SUM"
    val elemSUP		= Atom.atom "SUP"
    val elemSYSNOTE	= Atom.atom "SYSNOTE"
    val elemTABLE	= Atom.atom "TABLE"
    val elemTD		= Atom.atom "TD"
    val elemTH		= Atom.atom "TH"
    val elemTITLE	= Atom.atom "TITLE"
    val elemTR		= Atom.atom "TR"
    val elemTT		= Atom.atom "TT"
    val elemTY		= Atom.atom "TY"
    val elemTYPARAM	= Atom.atom "TYPARAM"
    val elemTYPE	= Atom.atom "TYPE"
    val elemTYREF	= Atom.atom "TYREF"
    val elemUL		= Atom.atom "UL"
    val elemUNION	= Atom.atom "UNION"
    val elemURL		= Atom.atom "URL"
    val elemVAL		= Atom.atom "VAL"
    val elemVALREF	= Atom.atom "VALREF"
    val elemVERSION	= Atom.atom "VERSION"
    val elemWHERETYPE	= Atom.atom "WHERETYPE"

  (* attribute names *)
    val attrALIGN	= Atom.atom "ALIGN"
    val attrARCH	= Atom.atom "ARCH"
    val attrCAPALIGN	= Atom.atom "CAPALIGN"
    val attrCOLSPAN	= Atom.atom "COLSPAN"
    val attrCOMPACT	= Atom.atom "COMPACT"
    val attrCOUNT	= Atom.atom "COUNT"
    val attrDAY		= Atom.atom "DAY"
    val attrDOCUMENT	= Atom.atom "DOCUMENT"
    val attrEMAIL	= Atom.atom "EMAIL"
    val attrFCTID	= Atom.atom "FCTID"
    val attrFILE	= Atom.atom "FILE"
    val attrHREF	= Atom.atom "HREF"
    val attrID		= Atom.atom "ID"
    val attrKEY		= Atom.atom "KEY"
    val attrKIND	= Atom.atom "KIND"
    val attrLABEL	= Atom.atom "LABEL"
    val attrLANG	= Atom.atom "LANG"
    val attrLONG	= Atom.atom "LONG"
    val attrMARK	= Atom.atom "MARK"
    val attrMONTH	= Atom.atom "MONTH"
    val attrNAME	= Atom.atom "NAME"
    val attrNEWLINE	= Atom.atom "NEWLINE"
    val attrNOINDEX	= Atom.atom "NOINDEX"
    val attrNOLINK	= Atom.atom "NOLINK"
    val attrNONUMBER	= Atom.atom "NONUMBER"
    val attrNOTOC	= Atom.atom "NOTOC"
    val attrOPAQUE	= Atom.atom "OPAQUE"
    val attrOPSYS	= Atom.atom "OPSYS"
    val attrOWNER	= Atom.atom "OWNER"
    val attrPARBOX	= Atom.atom "PARBOX"
    val attrREC		= Atom.atom "REC"
    val attrSEE		= Atom.atom "SEE"
    val attrSIGID	= Atom.atom "SIGID"
    val attrSMALL	= Atom.atom "SMALL"
    val attrSTATUS	= Atom.atom "STATUS"
    val attrSTRID	= Atom.atom "STRID"
    val attrTAG		= Atom.atom "TAG"
    val attrTOPID	= Atom.atom "TOPID"
    val attrTYPE	= Atom.atom "TYPE"
    val attrVERID	= Atom.atom "VERID"
    val attrWHICH	= Atom.atom "WHICH"
    val attrYEAR	= Atom.atom "YEAR"

  (* tokens *)
    val tokBOTTOM	= Atom.atom "BOTTOM"
    val tokCENTER	= Atom.atom "CENTER"
    val tokLEFT		= Atom.atom "LEFT"
    val tokONE		= Atom.atom "ONE"
    val tokONE_OR_MORE	= Atom.atom "ONE-OR-MORE"
    val tokOPTIONAL	= Atom.atom "OPTIONAL"
    val tokPROPOSED	= Atom.atom "PROPOSED"
    val tokREQUIRED	= Atom.atom "REQUIRED"
    val tokRIGHT	= Atom.atom "RIGHT"
    val tokSTART	= Atom.atom "START"
    val tokSTOP		= Atom.atom "STOP"
    val tokTOP		= Atom.atom "TOP"
    val tokZERO_OR_MORE	= Atom.atom "ZERO-OR-MORE"
    val tokZERO_OR_ONE	= Atom.atom "ZERO-OR-ONE"

  end;
